blog/urls.py
from django.urls import path
from . import views

app_name = 'blog'

urlpatterns = [
    # post views
    path('', views.post_list, name='post_list'),
#     path('', views.PostListView.as_view(), name='post_list'),
    path('<int:year>/<int:month>/<int:day>/<slug:post>/',
         views.post_detail,
         name='post_detail'),
    path('<int:post_id>/share/', views.post_share, name='post_share'),
    path('<int:post_id>/comment/',
         views.post_comment, name='post_comment'),
    path('post/create/', views.post_post, name='post_create'),
    path('tag/<slug:tag_slug>/', views.post_list, name='post_list_by_tag'),
    path('publish_draft_posts/', views.publish_draft_posts, name='publish_draft_posts')
]

mysite/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('blog/', include('blog.urls', namespace='blog'))
]

templates/base.html
{% load blog_tags %}

{% load static %}
<!DOCTYPE html>
<html>

    {% include 'base_links.html' %}
    
    <body>

        <main class="main">
            
            <div>
                {% block navbar %}
                    {% include 'navbar.html' %}
                {% endblock %}
            </div>
            
            <div class="mt-11">
                {% block content %}
                {% endblock %}
            </div>

            
        </main>

    </body>
</html>

templates/base_links.html
{% load blog_tags %}

{% load static %}

<head>
        <title>{% block title %}{% endblock %}</title>
        <!-- <link href="{% static "css/blog.css" %}" rel="stylesheet"> -->


    <link href="{% static "assets/css/theme-rtl.min.css" %}" type="text/css" rel="stylesheet" id="style-rtl">
    <link href="{% static "assets/css/theme.min.css" %}" type="text/css" rel="stylesheet" id="style-default">
    <link href="{% static "assets/css/user-rtl.min.css" %}" type="text/css" rel="stylesheet" id="user-style-rtl">
    <link href="{% static "assets/css/user.min.css" %}" type="text/css" rel="stylesheet" id="user-style-default">
    
    <link href="{% static "assets/img/gallery/17.png" %}" type="text/css" rel="stylesheet" id="user-style-default">


    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin="">
    <link href="https://fonts.googleapis.com/css2?family=Nunito+Sans:wght@300;400;600;700;800;900&amp;display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://unicons.iconscout.com/release/v4.0.8/css/line.css">



</head>

{% block content %}
{% endblock %}

templates/navbar.html
{% load blog_tags %}

{% load static %}




<!-- navbar en haut de la page -->
<nav class="navbar navbar-top fixed-top justify-content-center">
    <div>
        <h3>
            <a href="{% url 'blog:post_list' %}"> My Blog</a>
        </h3>
    </div>
    <div class="collapse navbar-collapse justify-content-between">
        <form >
            <input class="form-control search-input fuzzy-search rounded-pill form-control-sm" type="search" placeholder="Search..." aria-label="Search" />
            <span class="fas fa-search search-box-icon"></span>

        </form>
    </div>
</nav>

templates/pagination.html
<div class="pagination">
    <span class="step-links">
        {% if page.has_previous %}
            <a href="?page={{ page.previous_page_number }}">Previous</a>
        {% endif %}
    <span class="current">
        Page {{ page.number }} of {{ page.paginator.num_pages }}.
    </span>
        {% if page.has_next %}
            <a href="?page={{ page.next_page_number }}">Next</a>
        {% endif %}
    </span>
</div>